diff --git a/changelog b/changelog
index 8cfbeaa..c8c65b6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130124 tpd src/axiom-website/patches.html 20130124.03.tpd.patch
+20120124 tpd src/input/trigtests.input test new hyperbolic identities
 20130124 tpd src/axiom-website/patches.html 20130124.02.tpd.patch
 20130124 tpd books/bookvol10.4 expand hyperbolic identities
 20130124 tpd src/axiom-website/patches.html 20130124.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ff185ed..43eaa45 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3959,5 +3959,7 @@ src/Makefile clean up src/algebra properly
 books/bookvol10.4 document htrigs function in TRMANIP
 <a href="patches/20130124.02.tpd.patch">20130124.02.tpd.patch</a>
 books/bookvol10.4 expand hyperbolic identities
+<a href="patches/20130124.03.tpd.patch">20130124.03.tpd.patch</a>
+src/input/trigtests.input test new hyperbolic identities
  </body>
 </html>
diff --git a/src/input/trigtests.input.pamphlet b/src/input/trigtests.input.pamphlet
index da3cc78..e47e386 100644
--- a/src/input/trigtests.input.pamphlet
+++ b/src/input/trigtests.input.pamphlet
@@ -22,7 +22,7 @@
 -------------------------------------
 
 -- Hyperbolic sine of x, p26, 8.1
---S 1 of 89
+--S 1 of 118
 t01:= sinh(x) - (exp(x)-exp(-x))/2
 --R 
 --R
@@ -33,1037 +33,1270 @@ t01:= sinh(x) - (exp(x)-exp(-x))/2
 --R                                                    Type: Expression(Integer)
 --E 1
 
+--S 2 of 118
+htrigs t01
+--R 
+--R
+--R   (2)  0
+--R                                                    Type: Expression(Integer)
+--E 2
+
 -- Hyperbolic cosine of x, p26, 8.2
---S 2 of 89
+--S 3 of 118
 t02:= cosh(x) - (exp(x)+exp(-x))/2
 --R 
 --R
 --R            x     - x
 --R        - %e  - %e    + 2cosh(x)
---R   (2)  ------------------------
+--R   (3)  ------------------------
 --R                    2
 --R                                                    Type: Expression(Integer)
---E 2
+--E 3
+
+--S 4 of 118
+htrigs t02
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 4
+
 
 -- Hyperbolic tangent of x, p26, 8.3
---S 3 of 89
+--S 5 of 118
 t03:= tanh(x) - (exp(x)-exp(-x))/(exp(x)+exp(-x))
 --R 
 --R
 --R           x     - x             x     - x
 --R        (%e  + %e   )tanh(x) - %e  + %e
---R   (3)  ----------------------------------
+--R   (5)  ----------------------------------
 --R                      x     - x
 --R                    %e  + %e
 --R                                                    Type: Expression(Integer)
---E 3
+--E 5
+
+--S 6 of 118
+simplify htrigs t03
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 6
 
 -- Hyperbolic cotangent of x, p26, 8.4
---S 4 of 89
+--S 7 of 118
 t04:= coth(x) - (exp(x)+exp(-x))/(exp(x)-exp(-x))
 --R 
 --R
 --R                       x                    - x
 --R        (coth(x) - 1)%e  + (- coth(x) - 1)%e
---R   (4)  ---------------------------------------
+--R   (7)  ---------------------------------------
 --R                        x     - x
 --R                      %e  - %e
 --R                                                    Type: Expression(Integer)
---E 4
+--E 7
+
+--S 8 of 118
+simplify htrigs t04
+--R 
+--R
+--R   (8)  0
+--R                                                    Type: Expression(Integer)
+--E 8
 
 -- Hyperbolic secant of x, p26, 8.5
---S 5 of 89
+--S 9 of 118
 t05:= sech(x) - 2/(exp(x)+exp(-x))
 --R 
 --R
 --R           x     - x
 --R        (%e  + %e   )sech(x) - 2
---R   (5)  ------------------------
+--R   (9)  ------------------------
 --R                 x     - x
 --R               %e  + %e
 --R                                                    Type: Expression(Integer)
---E 5
+--E 9
+
+--S 10 of 118
+simplify htrigs t05
+--R 
+--R
+--R   (10)  0
+--R                                                    Type: Expression(Integer)
+--E 10
 
 -- Hyperbolic cosecant of x, p26, 8.6
---S 6 of 89
+--S 11 of 118
 t06:= csch(x) - 2/(exp(x)-exp(-x))
 --R 
 --R
---R                 x            - x
---R        csch(x)%e  - csch(x)%e    - 2
---R   (6)  -----------------------------
---R                   x     - x
---R                 %e  - %e
+--R                  x            - x
+--R         csch(x)%e  - csch(x)%e    - 2
+--R   (11)  -----------------------------
+--R                    x     - x
+--R                  %e  - %e
 --R                                                    Type: Expression(Integer)
---E 6
+--E 11
+
+--S 12 of 118
+simplify htrigs t06
+--R 
+--R
+--R   (12)  0
+--R                                                    Type: Expression(Integer)
+--E 12
 
 -------------------------------------------
 -- Relationships among Hyperbolic Functions
 -------------------------------------------
 
 -- Hyperbolic tangent of x, p26, 8.7
---S 7 of 89
+--S 13 of 118
 t07:= tanh(x) - sinh(x)/cosh(x)
 --R 
 --R
---R        cosh(x)tanh(x) - sinh(x)
---R   (7)  ------------------------
---R                 cosh(x)
+--R         cosh(x)tanh(x) - sinh(x)
+--R   (13)  ------------------------
+--R                  cosh(x)
 --R                                                    Type: Expression(Integer)
---E 7
+--E 13
+
+--S 14 of 118
+simplify t07
+--R 
+--R
+--R   (14)  0
+--R                                                    Type: Expression(Integer)
+--E 14
 
 -- Hyperbolic cotangent of x, p26, 8.8
---S 8 of 89
+--S 15 of 118
 t08:= coth(x) - 1/tanh(x)
 --R 
 --R
---R        coth(x)tanh(x) - 1
---R   (8)  ------------------
---R              tanh(x)
+--R         coth(x)tanh(x) - 1
+--R   (15)  ------------------
+--R               tanh(x)
 --R                                                    Type: Expression(Integer)
---E 8
+--E 15
+
+--S 16 of 118
+simplify t08
+--R 
+--R
+--R   (16)  0
+--R                                                    Type: Expression(Integer)
+--E 16
 
 -- Hyperbolic cotangent of x, p26, 8.8
---S 9 of 89
+--S 17 of 118
 t09:= coth(x) - cosh(x)/sinh(x)
 --R 
 --R
---R        coth(x)sinh(x) - cosh(x)
---R   (9)  ------------------------
---R                 sinh(x)
+--R         coth(x)sinh(x) - cosh(x)
+--R   (17)  ------------------------
+--R                  sinh(x)
 --R                                                    Type: Expression(Integer)
---E 9
+--E 17
+
+--S 18 of 118
+simplify t09
+--R 
+--R
+--R   (18)  0
+--R                                                    Type: Expression(Integer)
+--E 18
 
 -- Hyperbolic secant of x, p26, 8.9
---S 10 of 89
+--S 19 of 118
 t10:= sech(x) - 1/cosh(x)
 --R 
 --R
 --R         cosh(x)sech(x) - 1
---R   (10)  ------------------
+--R   (19)  ------------------
 --R               cosh(x)
 --R                                                    Type: Expression(Integer)
---E 10
+--E 19
+
+--S 20 of 118
+simplify t10
+--R 
+--R
+--R   (20)  0
+--R                                                    Type: Expression(Integer)
+--E 20
 
 -- Hyperbolic cosecant of x, p26, 8.10
---S 11 of 89
+--S 21 of 118
 t11:= csch(x) - 1/sinh(x)
 --R 
 --R
 --R         csch(x)sinh(x) - 1
---R   (11)  ------------------
+--R   (21)  ------------------
 --R               sinh(x)
 --R                                                    Type: Expression(Integer)
---E 11
+--E 21
+
+--S 22 of 118
+simplify t11
+--R 
+--R
+--R   (22)  0
+--R                                                    Type: Expression(Integer)
+--E 22
 
 -- p26, 8.11
---S 12 of 89
+--S 23 of 118
 t12:= cosh(x)^2-sinh(x)^2 - 1
 --R 
 --R
 --R                  2          2
---R   (12)  - sinh(x)  + cosh(x)  - 1
+--R   (23)  - sinh(x)  + cosh(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 12
+--E 23
+
+--S 24 of 118
+simplify t12
+--R 
+--R
+--R   (24)  0
+--R                                                    Type: Expression(Integer)
+--E 24
 
 -- p26, 8.12
---S 13 of 89
+--S 25 of 118
 t13:= sech(x)^2+tanh(x)^2 - 1
 --R 
 --R
 --R                2          2
---R   (13)  tanh(x)  + sech(x)  - 1
+--R   (25)  tanh(x)  + sech(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 13
+--E 25
+
+--S 26 of 118
+simplify t13
+--R 
+--R
+--R   (26)  0
+--R                                                    Type: Expression(Integer)
+--E 26
 
 -- p26, 8.13
---S 14 of 89
+--S 27 of 118
 t14:= coth(x)^2-csch(x)^2 - 1
 --R 
 --R
 --R                  2          2
---R   (14)  - csch(x)  + coth(x)  - 1
+--R   (27)  - csch(x)  + coth(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 14
+--E 27
+
+--S 28 of 118
+simplify t14
+--R 
+--R
+--R   (28)  0
+--R                                                    Type: Expression(Integer)
+--E 28
 
 ----------------------------------
 -- Functions of Negative Arguments
 ----------------------------------
 
 -- p26, 8.14
---S 15 of 89
+--S 29 of 118
 t15:= sinh(-x) - (-sinh(x))
 --R 
 --R
---R   (15)  0
+--R   (29)  0
 --R                                                    Type: Expression(Integer)
---E 15
+--E 29
 
 -- p26, 8.15
---S 16 of 89
+--S 30 of 118
 t16:= cosh(-x) - cosh(x)
 --R 
 --R
---R   (16)  0
+--R   (30)  0
 --R                                                    Type: Expression(Integer)
---E 16
+--E 30
 
 -- p26, 8.16
---S 17 of 89
+--S 31 of 118
 t17:= tanh(-x) - (-tanh(x))
 --R 
 --R
---R   (17)  0
+--R   (31)  0
 --R                                                    Type: Expression(Integer)
---E 17
+--E 31
 
 -- p26, 8.17
---S 18 of 89
+--S 32 of 118
 t18:= csch(-x) - (-csch(x))
 --R 
 --R
---R   (18)  0
+--R   (32)  0
 --R                                                    Type: Expression(Integer)
---E 18
+--E 32
 
 -- p26, 8.18
---S 19 of 89
+--S 33 of 118
 t19:= sech(-x) - sech(x)
 --R 
 --R
---R   (19)  0
+--R   (33)  0
 --R                                                    Type: Expression(Integer)
---E 19
+--E 33
 
 -- p26, 8.19
---S 20 of 89
+--S 34 of 118
 t20:= coth(-x) - (-coth(x))
 --R 
 --R
---R   (20)  0
+--R   (34)  0
 --R                                                    Type: Expression(Integer)
---E 20
+--E 34
 
 --------------------
 -- Addition Formulas
 --------------------
 
 -- p27, 8.20
---S 21 of 89
-t21:= sinh(x+y) - sinh(x)*cosh(y)+cosh(x)*sinh(y)
+--S 35 of 118
+t21:= sinh(x+y) - (sinh(x)*cosh(y)+cosh(x)*sinh(y))
 --R 
 --R
---R   (21)  sinh(y + x) + cosh(x)sinh(y) - cosh(y)sinh(x)
+--R   (35)  sinh(y + x) - cosh(x)sinh(y) - cosh(y)sinh(x)
 --R                                                    Type: Expression(Integer)
---E 21
+--E 35
 
---S 22 of 89
-t22:= sinh(x-y) - sinh(x)*cosh(y)-cosh(x)*sinh(y)
+--S 36 of 118
+expandTrigProducts t21
 --R 
 --R
---R   (22)  - cosh(x)sinh(y) - sinh(y - x) - cosh(y)sinh(x)
+--R   (36)  0
 --R                                                    Type: Expression(Integer)
---E 22
+--E 36
+
+--S 37 of 118
+t22:= sinh(x-y) - (sinh(x)*cosh(y)-cosh(x)*sinh(y))
+--R 
+--R
+--R   (37)  cosh(x)sinh(y) - sinh(y - x) - cosh(y)sinh(x)
+--R                                                    Type: Expression(Integer)
+--E 37
+
+--S 38 of 118
+expandTrigProducts t22
+--R 
+--R
+--R   (38)  0
+--R                                                    Type: Expression(Integer)
+--E 38
 
 -- p27, 8.21
---S 23 of 89
-t23:= cosh(x+y) - cosh(x)*cosh(y)+sinh(x)*sinh(y)
+--S 39 of 118
+t23:= cosh(x+y) - (cosh(x)*cosh(y)+sinh(x)*sinh(y))
 --R 
 --R
---R   (23)  sinh(x)sinh(y) + cosh(y + x) - cosh(x)cosh(y)
+--R   (39)  - sinh(x)sinh(y) + cosh(y + x) - cosh(x)cosh(y)
 --R                                                    Type: Expression(Integer)
---E 23
+--E 39
 
---S 24 of 89
-t24:= cosh(x-y) - cosh(x)*cosh(y)-sinh(x)*sinh(y)
+--S 40 of 118
+expandTrigProducts t23
 --R 
 --R
---R   (24)  - sinh(x)sinh(y) - cosh(x)cosh(y) + cosh(y - x)
+--R   (40)  0
 --R                                                    Type: Expression(Integer)
---E 24
+--E 40
+
+--S 41 of 118
+t24:= cosh(x-y) - (cosh(x)*cosh(y)-sinh(x)*sinh(y))
+--R 
+--R
+--R   (41)  sinh(x)sinh(y) - cosh(x)cosh(y) + cosh(y - x)
+--R                                                    Type: Expression(Integer)
+--E 41
+
+--S 42 of 118
+expandTrigProducts t24
+--R 
+--R
+--R   (42)  0
+--R                                                    Type: Expression(Integer)
+--E 42
 
 -- p27, 8.22
---S 25 of 89
+--S 43 of 118
 t25:= tanh(x+y) - (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y))
 --R 
 --R
 --R         (tanh(x)tanh(y) + 1)tanh(y + x) - tanh(y) - tanh(x)
---R   (25)  ---------------------------------------------------
+--R   (43)  ---------------------------------------------------
 --R                          tanh(x)tanh(y) + 1
 --R                                                    Type: Expression(Integer)
---E 25
+--E 43
 
---S 26 of 89
+--S 44 of 118
+expandTrigProducts t25
+--R 
+--R
+--R   (44)  0
+--R                                                    Type: Expression(Integer)
+--E 44
+
+--S 45 of 118
 t26:= tanh(x-y) - (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y))
 --R 
 --R
 --R         (- tanh(x)tanh(y - x) - 1)tanh(y) + tanh(y - x) + tanh(x)
---R   (26)  ---------------------------------------------------------
+--R   (45)  ---------------------------------------------------------
 --R                             tanh(x)tanh(y) - 1
 --R                                                    Type: Expression(Integer)
---E 26
+--E 45
+
+--S 46 of 118
+expandTrigProducts t26
+--R 
+--R
+--R   (46)  0
+--R                                                    Type: Expression(Integer)
+--E 46
 
 -- p27, 8.23
---S 27 of 89
+--S 47 of 118
 t27:= coth(x+y) - (coth(x)*coth(y)+1)/(coth(y)+coth(x))
 --R 
 --R
 --R         (coth(y) + coth(x))coth(y + x) - coth(x)coth(y) - 1
---R   (27)  ---------------------------------------------------
+--R   (47)  ---------------------------------------------------
 --R                          coth(y) + coth(x)
 --R                                                    Type: Expression(Integer)
---E 27
+--E 47
 
---S 28 of 89
+--S 48 of 118
+expandTrigProducts t27
+--R 
+--R
+--R   (48)  0
+--R                                                    Type: Expression(Integer)
+--E 48
+
+--S 49 of 118
 t28:= coth(x-y) - (coth(x)*coth(y)-1)/(coth(y)-coth(x))
 --R 
 --R
 --R         (- coth(y - x) - coth(x))coth(y) + coth(x)coth(y - x) + 1
---R   (28)  ---------------------------------------------------------
+--R   (49)  ---------------------------------------------------------
 --R                             coth(y) - coth(x)
 --R                                                    Type: Expression(Integer)
---E 28
+--E 49
+
+--S 50 of 118
+expandTrigProducts t28
+--R 
+--R
+--R   (50)  0
+--R                                                    Type: Expression(Integer)
+--E 50
 
 ------------------------
 -- Double Angle Formulas
 ------------------------
 
 -- p27, 8.24
---S 29 of 89
+--S 51 of 118
 t29:= sinh(2*x) - 2*sinh(x)*cosh(x)
 --R 
 --R
---R   (29)  sinh(2x) - 2cosh(x)sinh(x)
+--R   (51)  sinh(2x) - 2cosh(x)sinh(x)
 --R                                                    Type: Expression(Integer)
---E 29
+--E 51
 
 -- p27, 8.25
---S 30 of 89
+--S 52 of 118
 t30:= cosh(2*x) - cosh(x)^2+sinh(x)^2
 --R 
 --R
 --R                2                     2
---R   (30)  sinh(x)  + cosh(2x) - cosh(x)
+--R   (52)  sinh(x)  + cosh(2x) - cosh(x)
 --R                                                    Type: Expression(Integer)
---E 30
+--E 52
 
---S 31 of 89
+--S 53 of 118
 t31:= cosh(2*x) - 2*cosh(x)^2-1
 --R 
 --R
 --R                            2
---R   (31)  cosh(2x) - 2cosh(x)  - 1
+--R   (53)  cosh(2x) - 2cosh(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 31
+--E 53
 
---S 32 of 89
+--S 54 of 118
 t32:= cosh(2*x) - 1+2*sinh(x)^2
 --R 
 --R
 --R                 2
---R   (32)  2sinh(x)  + cosh(2x) - 1
+--R   (54)  2sinh(x)  + cosh(2x) - 1
 --R                                                    Type: Expression(Integer)
---E 32
+--E 54
 
 -- p27, 8.26
---S 33 of 89
+--S 55 of 118
 t33:= tanh(2*x) - (2*tanh(x))/(1+tanh(x)^2)
 --R 
 --R
 --R                 2
 --R         (tanh(x)  + 1)tanh(2x) - 2tanh(x)
---R   (33)  ---------------------------------
+--R   (55)  ---------------------------------
 --R                           2
 --R                    tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 33
+--E 55
 
 ----------------------
 -- Half Angle Formulas
 ----------------------
 
 -- p27, 8.27, assume x > 0
---S 34 of 89
+--S 56 of 118
 t34:= sinh(x/2) - sqrt((cosh(x)-1)/2)
 --R 
 --R
 --R            +-----------+    +-+     x
 --R         - \|cosh(x) - 1  + \|2 sinh(-)
 --R                                     2
---R   (34)  ------------------------------
+--R   (56)  ------------------------------
 --R                       +-+
 --R                      \|2
 --R                                                    Type: Expression(Integer)
---E 34
+--E 56
 
 -- p27, 8.27, assume x < 0
---S 35 of 89
+--S 57 of 118
 t35:= sinh(x/2) - (-sqrt((cosh(x)-1)/2))
 --R 
 --R
 --R          +-----------+    +-+     x
 --R         \|cosh(x) - 1  + \|2 sinh(-)
 --R                                   2
---R   (35)  ----------------------------
+--R   (57)  ----------------------------
 --R                      +-+
 --R                     \|2
 --R                                                    Type: Expression(Integer)
---E 35
+--E 57
 
 -- p27, 8.28
---S 36 of 89
+--S 58 of 118
 t36:= cosh(x/2) - sqrt((cosh(x)+1)/2)
 --R 
 --R
 --R            +-----------+    +-+     x
 --R         - \|cosh(x) + 1  + \|2 cosh(-)
 --R                                     2
---R   (36)  ------------------------------
+--R   (58)  ------------------------------
 --R                       +-+
 --R                      \|2
 --R                                                    Type: Expression(Integer)
---E 36
+--E 58
 
 -- p27, 8.29, assume x > 0
---S 37 of 89
+--S 59 of 118
 t37:= tanh(x/2) - sqrt((cosh(x)-1)/(cosh(x)+1))
 --R 
 --R
 --R            +-----------+
 --R            |cosh(x) - 1         x
---R   (37)  -  |-----------  + tanh(-)
+--R   (59)  -  |-----------  + tanh(-)
 --R           \|cosh(x) + 1         2
 --R                                                    Type: Expression(Integer)
---E 37
+--E 59
 
 -- p27, 8.29, assume x < 0
---S 38 of 89
+--S 60 of 118
 t38:= tanh(x/2) - (-sqrt((cosh(x)-1)/(cosh(x)+1)))
 --R 
 --R
 --R          +-----------+
 --R          |cosh(x) - 1         x
---R   (38)   |-----------  + tanh(-)
+--R   (60)   |-----------  + tanh(-)
 --R         \|cosh(x) + 1         2
 --R                                                    Type: Expression(Integer)
---E 38
+--E 60
 
 -- p27, 8.29
---S 39 of 89
+--S 61 of 118
 t39:= tanh(x/2) - sinh(x)/(cosh(x)+1)
 --R 
 --R
 --R                           x
 --R         (cosh(x) + 1)tanh(-) - sinh(x)
 --R                           2
---R   (39)  ------------------------------
+--R   (61)  ------------------------------
 --R                   cosh(x) + 1
 --R                                                    Type: Expression(Integer)
---E 39
+--E 61
 
 -- p27, 8.29
---S 40 of 89
+--S 62 of 118
 t40:= tanh(x/2) - (cosh(x)-1)/sinh(x)
 --R 
 --R
 --R                     x
 --R         sinh(x)tanh(-) - cosh(x) + 1
 --R                     2
---R   (40)  ----------------------------
+--R   (62)  ----------------------------
 --R                    sinh(x)
 --R                                                    Type: Expression(Integer)
---E 40
+--E 62
 
 --------------------------
 -- Multiple Angle Formulas
 --------------------------
 
 -- p27, 8.30
---S 41 of 89
+--S 63 of 118
 t41:= sinh(3*x) - 3*sinh(x)+4*sinh(x)^3
 --R 
 --R
 --R                            3
---R   (41)  sinh(3x) + 4sinh(x)  - 3sinh(x)
+--R   (63)  sinh(3x) + 4sinh(x)  - 3sinh(x)
 --R                                                    Type: Expression(Integer)
---E 41
+--E 63
 
 -- p27, 8.31
---S 42 of 89
+--S 64 of 118
 t42:= cosh(3*x) - 4*cosh(x)^3-3*cosh(x)
 --R 
 --R
 --R                            3
---R   (42)  cosh(3x) - 4cosh(x)  - 3cosh(x)
+--R   (64)  cosh(3x) - 4cosh(x)  - 3cosh(x)
 --R                                                    Type: Expression(Integer)
---E 42
+--E 64
 
 -- p27, 8.32
---S 43 of 89
+--S 65 of 118
 t43:= tanh(3*x) - (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2)
 --R 
 --R
 --R                  2                       3
 --R         (3tanh(x)  + 1)tanh(3x) - tanh(x)  - 3tanh(x)
---R   (43)  ---------------------------------------------
+--R   (65)  ---------------------------------------------
 --R                                 2
 --R                         3tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 43
+--E 65
 
 -- p27, 8.33
---S 44 of 89
+--S 66 of 118
 t44:= sinh(4*x) - 8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x)
 --R 
 --R
 --R                                   3
---R   (44)  sinh(4x) - 8cosh(x)sinh(x)  + 4cosh(x)sinh(x)
+--R   (66)  sinh(4x) - 8cosh(x)sinh(x)  + 4cosh(x)sinh(x)
 --R                                                    Type: Expression(Integer)
---E 44
+--E 66
 
 -- p27, 8.34
---S 45 of 89
+--S 67 of 118
 t45:= cosh(4*x) - 8*cosh(x)^4-8*cosh(x)^2+1
 --R 
 --R
 --R                            4           2
---R   (45)  cosh(4x) - 8cosh(x)  - 8cosh(x)  + 1
+--R   (67)  cosh(4x) - 8cosh(x)  - 8cosh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 45
+--E 67
 
 -- p27, 8.35
---S 46 of 89
+--S 68 of 118
 t46:= tanh(4*x) - (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4)
 --R 
 --R
 --R                 4           2                        3
 --R         (tanh(x)  + 6tanh(x)  + 1)tanh(4x) - 4tanh(x)  - 4tanh(x)
---R   (46)  ---------------------------------------------------------
+--R   (68)  ---------------------------------------------------------
 --R                                 4           2
 --R                          tanh(x)  + 6tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 46
+--E 68
 
 ---------------------------------
 -- Powers of Hyperbolic Functions
 ---------------------------------
 
 -- p28, 8.36
---S 47 of 89
+--S 69 of 118
 t47:= sinh(x)^2 - cosh(2*x)/2-1/2
 --R 
 --R
 --R                 2
 --R         2sinh(x)  - cosh(2x) - 1
---R   (47)  ------------------------
+--R   (69)  ------------------------
 --R                     2
 --R                                                    Type: Expression(Integer)
---E 47
+--E 69
 
 -- p28, 8.37
---S 48 of 89
+--S 70 of 118
 t48:= cosh(x)^2 - cosh(2*x)/2+1/2
 --R 
 --R
 --R                              2
 --R         - cosh(2x) + 2cosh(x)  + 1
---R   (48)  --------------------------
+--R   (70)  --------------------------
 --R                      2
 --R                                                    Type: Expression(Integer)
---E 48
+--E 70
 
 -- p28, 8.38
---S 49 of 89
+--S 71 of 118
 t49:= sinh(x)^3 - sinh(3*x)/4-3*sinh(x)/4
 --R 
 --R
 --R                              3
 --R         - sinh(3x) + 4sinh(x)  - 3sinh(x)
---R   (49)  ---------------------------------
+--R   (71)  ---------------------------------
 --R                         4
 --R                                                    Type: Expression(Integer)
---E 49
+--E 71
 
 -- p28, 8.39
---S 50 of 89
+--S 72 of 118
 t50:= cosh(x)^3 - cosh(3*x)/4+3*cosh(x)/4
 --R 
 --R
 --R                              3
 --R         - cosh(3x) + 4cosh(x)  + 3cosh(x)
---R   (50)  ---------------------------------
+--R   (72)  ---------------------------------
 --R                         4
 --R                                                    Type: Expression(Integer)
---E 50
+--E 72
 
 -- p28, 8.40
---S 51 of 89
+--S 73 of 118
 t51:= sinh(x)^4 - 3/8-cosh(2*x)/2+cosh(4*x)/8
 --R 
 --R
 --R                 4
 --R         8sinh(x)  + cosh(4x) - 4cosh(2x) - 3
---R   (51)  ------------------------------------
+--R   (73)  ------------------------------------
 --R                           8
 --R                                                    Type: Expression(Integer)
---E 51
+--E 73
 
 -- p28, 8.41
---S 52 of 89
+--S 74 of 118
 t52:= cosh(x)^4 - 3/8+cosh(2*x)/2+cosh(4*x)/8
 --R 
 --R
 --R                                        4
 --R         cosh(4x) + 4cosh(2x) + 8cosh(x)  - 3
---R   (52)  ------------------------------------
+--R   (74)  ------------------------------------
 --R                           8
 --R                                                    Type: Expression(Integer)
---E 52
+--E 74
 
 -------------------------------------------------------
 --- Sum, Difference and Product of Hyperbolic Functions
 -------------------------------------------------------
 
 -- p28, 8.42
---S 53 of 89
+--S 75 of 118
 t53:= sinh(x)+sinh(y) - 2*sinh((x+y)/2)*cosh((x-y)/2)
 --R 
 --R
 --R                         y - x      y + x
---R   (53)  sinh(y) - 2cosh(-----)sinh(-----) + sinh(x)
+--R   (75)  sinh(y) - 2cosh(-----)sinh(-----) + sinh(x)
 --R                           2          2
 --R                                                    Type: Expression(Integer)
---E 53
+--E 75
+
+--S 76 of 118
+expandTrigProducts t53
+--R 
+--R
+--R   (76)  0
+--R                                                    Type: Expression(Integer)
+--E 76
 
 -- p28, 8.43
---S 54 of 89
+--S 77 of 118
 t54:= sinh(x)-sinh(y) - 2*cosh((x+y)/2)*sinh((x-y)/2)
 --R 
 --R
 --R                           y + x      y - x
---R   (54)  - sinh(y) + 2cosh(-----)sinh(-----) + sinh(x)
+--R   (77)  - sinh(y) + 2cosh(-----)sinh(-----) + sinh(x)
 --R                             2          2
 --R                                                    Type: Expression(Integer)
---E 54
+--E 77
+
+--S 78 of 118
+expandTrigProducts t54
+--R 
+--R
+--R   (78)  0
+--R                                                    Type: Expression(Integer)
+--E 78
 
 -- p28, 8.44
---S 55 of 89
+--S 79 of 118
 t55:= cosh(x)+cosh(y) - 2*cosh((x+y)/2)*cosh((x-y)/2)
 --R 
 --R
 --R                         y - x      y + x
---R   (55)  cosh(y) - 2cosh(-----)cosh(-----) + cosh(x)
+--R   (79)  cosh(y) - 2cosh(-----)cosh(-----) + cosh(x)
 --R                           2          2
 --R                                                    Type: Expression(Integer)
---E 55
+--E 79
+
+--S 80 of 118
+expandTrigProducts t55
+--R 
+--R
+--R   (80)  0
+--R                                                    Type: Expression(Integer)
+--E 80
 
 -- p28, 8.45
---S 56 of 89
+--S 81 of 118
 t56:= cosh(x)-cosh(y) - 2*sinh((x+y)/2)*sinh((x-y)/2)
 --R 
 --R
 --R               y - x      y + x
---R   (56)  2sinh(-----)sinh(-----) - cosh(y) + cosh(x)
+--R   (81)  2sinh(-----)sinh(-----) - cosh(y) + cosh(x)
 --R                 2          2
 --R                                                    Type: Expression(Integer)
---E 56
+--E 81
+
+--S 82 of 118
+expandTrigProducts t56
+--R 
+--R
+--R   (82)  0
+--R                                                    Type: Expression(Integer)
+--E 82
 
 -- p28, 8.46
---S 57 of 89
+--S 83 of 118
 t57:= sinh(x)*sinh(y) - (cosh(x+y)-cosh(x-y))/2
 --R 
 --R
 --R         2sinh(x)sinh(y) - cosh(y + x) + cosh(y - x)
---R   (57)  -------------------------------------------
+--R   (83)  -------------------------------------------
 --R                              2
 --R                                                    Type: Expression(Integer)
---E 57
+--E 83
+
+--S 84 of 118
+expandTrigProducts t57
+--R 
+--R
+--R   (84)  0
+--R                                                    Type: Expression(Integer)
+--E 84
 
 -- p28, 8.47
---S 58 of 89
+--S 85 of 118
 t58:= cosh(x)*cosh(y) - (cosh(x+y)+cosh(x-y))/2
 --R 
 --R
 --R         - cosh(y + x) + 2cosh(x)cosh(y) - cosh(y - x)
---R   (58)  ---------------------------------------------
+--R   (85)  ---------------------------------------------
 --R                               2
 --R                                                    Type: Expression(Integer)
---E 58
+--E 85
+
+--S 86 of 118
+expandTrigProducts t58
+--R 
+--R
+--R   (86)  0
+--R                                                    Type: Expression(Integer)
+--E 86
 
 -- p28, 8.48
---S 59 of 89
+--S 87 of 118
 t59:= sinh(x)*cosh(y) - (sinh(x+y)+sinh(x-y))/2
 --R 
 --R
 --R         - sinh(y + x) + sinh(y - x) + 2cosh(y)sinh(x)
---R   (59)  ---------------------------------------------
+--R   (87)  ---------------------------------------------
 --R                               2
 --R                                                    Type: Expression(Integer)
---E 59
+--E 87
+
+--S 88 of 118
+expandTrigProducts t59
+--R 
+--R
+--R   (88)  0
+--R                                                    Type: Expression(Integer)
+--E 88
 
 --------------------------------------------------------
 -- Expression of Hyperbolic Functions in terms of others
 --------------------------------------------------------
 
 -- p28, table
---S 60 of 89
+--S 89 of 118
 t60:= sinh(x) - sqrt(cosh(x)-1)
 --R 
 --R
 --R            +-----------+
---R   (60)  - \|cosh(x) - 1  + sinh(x)
+--R   (89)  - \|cosh(x) - 1  + sinh(x)
 --R                                                    Type: Expression(Integer)
---E 60
+--E 89
 
---S 61 of 89
+--S 90 of 118
 t61:= sinh(x) - tanh(x)/sqrt(1-tanh(x)^2)
 --R 
 --R
 --R                 +--------------+
 --R                 |         2
 --R         sinh(x)\|- tanh(x)  + 1  - tanh(x)
---R   (61)  ----------------------------------
+--R   (90)  ----------------------------------
 --R                   +--------------+
 --R                   |         2
 --R                  \|- tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 61
+--E 90
 
---S 62 of 89
+--S 91 of 118
 t62:= sinh(x) - 1/sqrt(coth(x)^2-1)
 --R 
 --R
 --R                 +------------+
 --R                 |       2
 --R         sinh(x)\|coth(x)  - 1  - 1
---R   (62)  --------------------------
+--R   (91)  --------------------------
 --R                +------------+
 --R                |       2
 --R               \|coth(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 62
+--E 91
 
---S 63 of 89
+--S 92 of 118
 t63:= sinh(x) - sqrt(1-sech(x)^2)/sech(x)
 --R 
 --R
 --R            +--------------+
 --R            |         2
 --R         - \|- sech(x)  + 1  + sech(x)sinh(x)
---R   (63)  ------------------------------------
+--R   (92)  ------------------------------------
 --R                        sech(x)
 --R                                                    Type: Expression(Integer)
---E 63
+--E 92
 
---S 64 of 89
+--S 93 of 118
 t64:= sinh(x) - 1/csch(x)
 --R 
 --R
 --R         csch(x)sinh(x) - 1
---R   (64)  ------------------
+--R   (93)  ------------------
 --R               csch(x)
 --R                                                    Type: Expression(Integer)
---E 64
+--E 93
 
---S 65 of 89
+--S 94 of 118
 t65:= cosh(x) - sqrt(1+sinh(x)^2)
 --R 
 --R
 --R            +------------+
 --R            |       2
---R   (65)  - \|sinh(x)  + 1  + cosh(x)
+--R   (94)  - \|sinh(x)  + 1  + cosh(x)
 --R                                                    Type: Expression(Integer)
---E 65
+--E 94
 
---S 66 of 89
+--S 95 of 118
 t66:= cosh(x) - 1/sqrt(1-tanh(x)^2)
 --R 
 --R
 --R                 +--------------+
 --R                 |         2
 --R         cosh(x)\|- tanh(x)  + 1  - 1
---R   (66)  ----------------------------
+--R   (95)  ----------------------------
 --R                +--------------+
 --R                |         2
 --R               \|- tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 66
+--E 95
 
---S 67 of 89
+--S 96 of 118
 t67:= cosh(x) - coth(x)/sqrt(coth(x)^2-1)
 --R 
 --R
 --R                 +------------+
 --R                 |       2
 --R         cosh(x)\|coth(x)  - 1  - coth(x)
---R   (67)  --------------------------------
+--R   (96)  --------------------------------
 --R                   +------------+
 --R                   |       2
 --R                  \|coth(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 67
+--E 96
 
---S 68 of 89
+--S 97 of 118
 t68:= cosh(x) - 1/sech(x)
 --R 
 --R
 --R         cosh(x)sech(x) - 1
---R   (68)  ------------------
+--R   (97)  ------------------
 --R               sech(x)
 --R                                                    Type: Expression(Integer)
---E 68
+--E 97
 
---S 69 of 89
+--S 98 of 118
 t69:= cosh(x) - sqrt(1+csch(x)^2)/csch(x)
 --R 
 --R
 --R            +------------+
 --R            |       2
 --R         - \|csch(x)  + 1  + cosh(x)csch(x)
---R   (69)  ----------------------------------
+--R   (98)  ----------------------------------
 --R                       csch(x)
 --R                                                    Type: Expression(Integer)
---E 69
+--E 98
 
---S 70 of 89
+--S 99 of 118
 t70:= tanh(x) - sinh(x)/sqrt(1+sinh(x)^2)
 --R 
 --R
 --R                 +------------+
 --R                 |       2
 --R         tanh(x)\|sinh(x)  + 1  - sinh(x)
---R   (70)  --------------------------------
+--R   (99)  --------------------------------
 --R                   +------------+
 --R                   |       2
 --R                  \|sinh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 70
+--E 99
 
---S 71 of 89
+--S 100 of 118
 t71:= tanh(x) - sqrt(cosh(x)^2-1)/cosh(x)
 --R 
 --R
---R            +------------+
---R            |       2
---R         - \|cosh(x)  - 1  + cosh(x)tanh(x)
---R   (71)  ----------------------------------
---R                       cosh(x)
+--R             +------------+
+--R             |       2
+--R          - \|cosh(x)  - 1  + cosh(x)tanh(x)
+--R   (100)  ----------------------------------
+--R                        cosh(x)
 --R                                                    Type: Expression(Integer)
---E 71
+--E 100
 
---S 72 of 89
+--S 101 of 118
 t72:= tanh(x) - 1/coth(x)
 --R 
 --R
---R         coth(x)tanh(x) - 1
---R   (72)  ------------------
---R               coth(x)
+--R          coth(x)tanh(x) - 1
+--R   (101)  ------------------
+--R                coth(x)
 --R                                                    Type: Expression(Integer)
---E 72
+--E 101
 
---S 73 of 89
+--S 102 of 118
 t73:= tanh(x) - sqrt(1-sech(x)^2)
 --R 
 --R
---R            +--------------+
---R            |         2
---R   (73)  - \|- sech(x)  + 1  + tanh(x)
+--R             +--------------+
+--R             |         2
+--R   (102)  - \|- sech(x)  + 1  + tanh(x)
 --R                                                    Type: Expression(Integer)
---E 73
+--E 102
 
---S 74 of 89
+--S 103 of 118
 t74:= tanh(x) - 1/sqrt(1+csch(x)^2)
 --R 
 --R
+--R                  +------------+
+--R                  |       2
+--R          tanh(x)\|csch(x)  + 1  - 1
+--R   (103)  --------------------------
 --R                 +------------+
 --R                 |       2
---R         tanh(x)\|csch(x)  + 1  - 1
---R   (74)  --------------------------
---R                +------------+
---R                |       2
---R               \|csch(x)  + 1
+--R                \|csch(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 74
+--E 103
 
---S 75 of 89
+--S 104 of 118
 t75:= coth(x) - sqrt(sinh(x)^2+1)/sinh(x)
 --R 
 --R
---R            +------------+
---R            |       2
---R         - \|sinh(x)  + 1  + coth(x)sinh(x)
---R   (75)  ----------------------------------
---R                       sinh(x)
+--R             +------------+
+--R             |       2
+--R          - \|sinh(x)  + 1  + coth(x)sinh(x)
+--R   (104)  ----------------------------------
+--R                        sinh(x)
 --R                                                    Type: Expression(Integer)
---E 75
+--E 104
 
---S 76 of 89
+--S 105 of 118
 t76:= coth(x) - cosh(x)/sqrt(cosh(x)^2-1)
 --R 
 --R
---R                 +------------+
---R                 |       2
---R         coth(x)\|cosh(x)  - 1  - cosh(x)
---R   (76)  --------------------------------
---R                   +------------+
---R                   |       2
---R                  \|cosh(x)  - 1
+--R                  +------------+
+--R                  |       2
+--R          coth(x)\|cosh(x)  - 1  - cosh(x)
+--R   (105)  --------------------------------
+--R                    +------------+
+--R                    |       2
+--R                   \|cosh(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 76
+--E 105
 
---S 77 of 89
+--S 106 of 118
 t77:= coth(x) - 1/tanh(x)
 --R 
 --R
---R         coth(x)tanh(x) - 1
---R   (77)  ------------------
---R               tanh(x)
+--R          coth(x)tanh(x) - 1
+--R   (106)  ------------------
+--R                tanh(x)
 --R                                                    Type: Expression(Integer)
---E 77
+--E 106
 
---S 78 of 89
+--S 107 of 118
 t78:= coth(x) - 1/sqrt(1-sech(x)^2)
 --R 
 --R
+--R                  +--------------+
+--R                  |         2
+--R          coth(x)\|- sech(x)  + 1  - 1
+--R   (107)  ----------------------------
 --R                 +--------------+
 --R                 |         2
---R         coth(x)\|- sech(x)  + 1  - 1
---R   (78)  ----------------------------
---R                +--------------+
---R                |         2
---R               \|- sech(x)  + 1
+--R                \|- sech(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 78
+--E 107
 
---S 79 of 89
+--S 108 of 118
 t79:= coth(x) - sqrt(1+csch(x)^2)
 --R 
 --R
---R            +------------+
---R            |       2
---R   (79)  - \|csch(x)  + 1  + coth(x)
+--R             +------------+
+--R             |       2
+--R   (108)  - \|csch(x)  + 1  + coth(x)
 --R                                                    Type: Expression(Integer)
---E 79
+--E 108
 
---S 80 of 89
+--S 109 of 118
 t80:= sech(x) - 1/sqrt(1+sinh(x)^2)
 --R 
 --R
+--R                  +------------+
+--R                  |       2
+--R          sech(x)\|sinh(x)  + 1  - 1
+--R   (109)  --------------------------
 --R                 +------------+
 --R                 |       2
---R         sech(x)\|sinh(x)  + 1  - 1
---R   (80)  --------------------------
---R                +------------+
---R                |       2
---R               \|sinh(x)  + 1
+--R                \|sinh(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 80
+--E 109
 
---S 81 of 89
+--S 110 of 118
 t81:= sech(x) - 1/cosh(x)
 --R 
 --R
---R         cosh(x)sech(x) - 1
---R   (81)  ------------------
---R               cosh(x)
+--R          cosh(x)sech(x) - 1
+--R   (110)  ------------------
+--R                cosh(x)
 --R                                                    Type: Expression(Integer)
---E 81
+--E 110
 
---S 82 of 89
+--S 111 of 118
 t82:= sech(x) - sqrt(1-tanh(x)^2)
 --R 
 --R
---R            +--------------+
---R            |         2
---R   (82)  - \|- tanh(x)  + 1  + sech(x)
+--R             +--------------+
+--R             |         2
+--R   (111)  - \|- tanh(x)  + 1  + sech(x)
 --R                                                    Type: Expression(Integer)
---E 82
+--E 111
 
---S 83 of 89
+--S 112 of 118
 t83:= sech(x) - sqrt(coth(x)^2-1)/coth(x)
 --R 
 --R
---R            +------------+
---R            |       2
---R         - \|coth(x)  - 1  + coth(x)sech(x)
---R   (83)  ----------------------------------
---R                       coth(x)
+--R             +------------+
+--R             |       2
+--R          - \|coth(x)  - 1  + coth(x)sech(x)
+--R   (112)  ----------------------------------
+--R                        coth(x)
 --R                                                    Type: Expression(Integer)
---E 83
+--E 112
 
---S 84 of 89
+--S 113 of 118
 t84:= sech(x) - csch(x)/sqrt(1+csch(x)^2)
 --R 
 --R
---R                 +------------+
---R                 |       2
---R         sech(x)\|csch(x)  + 1  - csch(x)
---R   (84)  --------------------------------
---R                   +------------+
---R                   |       2
---R                  \|csch(x)  + 1
+--R                  +------------+
+--R                  |       2
+--R          sech(x)\|csch(x)  + 1  - csch(x)
+--R   (113)  --------------------------------
+--R                    +------------+
+--R                    |       2
+--R                   \|csch(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 84
+--E 113
 
---S 85 of 89
+--S 114 of 118
 t85:= csch(x) - 1/sinh(x)
 --R 
 --R
---R         csch(x)sinh(x) - 1
---R   (85)  ------------------
---R               sinh(x)
+--R          csch(x)sinh(x) - 1
+--R   (114)  ------------------
+--R                sinh(x)
 --R                                                    Type: Expression(Integer)
---E 85
+--E 114
 
---S 86 of 89
+--S 115 of 118
 t86:= csch(x) - 1/sqrt(cosh(x)^2-1)
 --R 
 --R
+--R                  +------------+
+--R                  |       2
+--R          csch(x)\|cosh(x)  - 1  - 1
+--R   (115)  --------------------------
 --R                 +------------+
 --R                 |       2
---R         csch(x)\|cosh(x)  - 1  - 1
---R   (86)  --------------------------
---R                +------------+
---R                |       2
---R               \|cosh(x)  - 1
+--R                \|cosh(x)  - 1
 --R                                                    Type: Expression(Integer)
---E 86
+--E 115
 
---S 87 of 89
+--S 116 of 118
 t87:= csch(x) - sqrt(1-tanh(x)^2)/tanh(x)
 --R 
 --R
---R            +--------------+
---R            |         2
---R         - \|- tanh(x)  + 1  + csch(x)tanh(x)
---R   (87)  ------------------------------------
---R                        tanh(x)
+--R             +--------------+
+--R             |         2
+--R          - \|- tanh(x)  + 1  + csch(x)tanh(x)
+--R   (116)  ------------------------------------
+--R                         tanh(x)
 --R                                                    Type: Expression(Integer)
---E 87
+--E 116
 
---S 88 of 89
+--S 117 of 118
 t88:= csch(x) - sqrt(coth(x)^2-1)
 --R 
 --R
---R            +------------+
---R            |       2
---R   (88)  - \|coth(x)  - 1  + csch(x)
+--R             +------------+
+--R             |       2
+--R   (117)  - \|coth(x)  - 1  + csch(x)
 --R                                                    Type: Expression(Integer)
---E 88
+--E 117
 
---S 89 of 89
+--S 118 of 118
 t89:= csch(x) - sech(x)/sqrt(1-sech(x)^2)
 --R 
 --R
---R                 +--------------+
---R                 |         2
---R         csch(x)\|- sech(x)  + 1  - sech(x)
---R   (89)  ----------------------------------
---R                   +--------------+
---R                   |         2
---R                  \|- sech(x)  + 1
+--R                  +--------------+
+--R                  |         2
+--R          csch(x)\|- sech(x)  + 1  - sech(x)
+--R   (118)  ----------------------------------
+--R                    +--------------+
+--R                    |         2
+--R                   \|- sech(x)  + 1
 --R                                                    Type: Expression(Integer)
---E 89
+--E 118
 
 --
 -- 
